#
# spec file for package fwzs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# icecream 0


Name:           fwzs
Url:            http://gitorious.org/opensuse/fwzs
Summary:        Tray applet that allows to switch firewall zones of interfaces
Version:        0.5
Release:        18.1
License:        GPL-2.0
Group:          System/GUI/Other
Source:         fwzs-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         dbus-1
Requires:       SuSEfirewall2 > 3.6_SVNr220
Requires:       python-gtk
Recommends:     python-notify
%if 0%{?suse_version} < 1130
Requires:       PolicyKit
%else
Requires:       polkit
%endif
BuildArch:      noarch

%description 
Firewall Zone Switcher consists of a DBus service and a system
tray applet that lets the user switch firewall zones of network
interfaces.

%prep
%setup -q

%build
%configure
make %{?jobs:-j%jobs}

%install
make DESTDIR="%{buildroot}" install
%if 0%{?suse_version} < 1130
rm %{buildroot}%{_datadir}/polkit-1/actions/org.opensuse.zoneswitcher.policy
%else
rm %{buildroot}%{_datadir}/PolicyKit/policy/org.opensuse.zoneswitcher.policy
%endif
#
%find_lang fwzsd
%find_lang fwzsapp
mv fwzsapp.lang %name.lang
cat fwzsd.lang >> %name.lang
rm fwzsd.lang

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/fwzsd
%{_datadir}/fwzs
%{_datadir}/dbus-1/system-services/org.opensuse.zoneswitcher.service
%{_datadir}/applications/fwzsapp.desktop
%if 0%{?suse_version} < 1130
%dir %{_datadir}/PolicyKit
%dir %{_datadir}/PolicyKit/policy
%{_datadir}/PolicyKit/policy/org.opensuse.zoneswitcher.policy
%else
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.opensuse.zoneswitcher.policy
%endif
%{_bindir}/fwzsapp
%config %{_sysconfdir}/dbus-1/system.d/org.opensuse.zoneswitcher.conf

%changelog
* Tue Oct 25 2011 lnussel@suse.de
- require python-gtk and recommend python-notify (bnc#725994)
* Wed Oct  5 2011 lnussel@suse.de
- new version 0.5:
  * automatic zone switching based on NM connection
* Mon Sep 19 2011 coolo@suse.com
- remove %%clean and norootforbuild
* Mon Jul  4 2011 lnussel@suse.de
- fix not owned directories
- require polkit at run time
* Wed Apr 27 2011 lnussel@suse.de
- new version 0.4:
  * polkit1 support
  * better firewall status detection
* Wed Sep 30 2009 lnussel@suse.de
- new version 0.3:
  * exit the daemon after 60s inactivity if no client connected
  * separate dbus interface from backend
  * set a window manager icon
  * update button label if zone changed
  * fix saving of string options and prevent an unneeded error
  * allow anyone to use the dbus interface as PolicyKit is used for
    access control
* Thu Aug 27 2009 lnussel@suse.de
- new version 0.2:
  * main window
  * tray icon option
  * optional autostart with session
  * PolicyKit support
  * localization
* Sat Jul 11 2009 lnussel@suse.de
- require SuSEfirewal2 version > the version on 11.1
* Thu Jul  9 2009 lnussel@suse.de
- initial package version 0.1
